import _extends from "@babel/runtime/helpers/extends";
/**
 * 开始节点，事件流的起源
 */
import { EXPAND_ICON } from "../icons";
import { FlowEvent } from "../type";
export var startNode = {
  options: {
    style: {
      fill: '#E6F7FF',
      radius: 8,
      lineWidth: 1,
      stroke: '#1890FF',
      fillOpacity: '0.95'
    },
    stateStyles: {
      hover: {},
      selected: {}
    },
    labelCfg: {
      style: {
        fill: '#000000',
        fontSize: 14,
        fontWeight: 400,
        fillOpacity: '0.7'
      }
    },
    size: [120, 40]
  },
  drawShape: function drawShape(cfg, group) {
    var styles = this.getShapeStyle(cfg);
    var h = styles.height;
    var keyShape = group.addShape('rect', {
      attrs: _extends({
        x: 0,
        y: 0
      }, styles)
    });
    group.addShape('marker', {
      attrs: {
        x: 0,
        y: h / 2 + 7,
        r: 6,
        stroke: '#73d13d',
        cursor: 'pointer',
        symbol: EXPAND_ICON
      },
      // must be assigned in G6 3.3 and later versions. it can be any string you want, but should be unique in a custom item type
      name: FlowEvent.addItem
    });
    return keyShape;
  }
};